Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.util
Class Java2

    java.lang.Object
      ij.util.Java2

public class Java2
extends java.lang.Object

This class contains static methods that use the Java 2 API. They are isolated here to prevent errors when ImageJ is running on Java 1.1 JVMs.

Constructor Summary
`Java2()`

Method Summary
`static int` | `getStringWidth(java.lang.String s, java.awt.FontMetrics fontMetrics, java.awt.Graphics g)`
`static void` | `setAntialiased(java.awt.Graphics g, boolean antialiased)`
`static void` | `setAntialiasedText(java.awt.Graphics g, boolean antialiasedText)`
`static void` | `setBilinearInterpolation(java.awt.Graphics g, boolean bilinearInterpolation)`
`static void` | `setSystemLookAndFeel()` Sets the Swing look and feel to the system look and feel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2

    public Java2()

Method Detail

### setAntialiased

    public static void setAntialiased(java.awt.Graphics g,
                                      boolean antialiased)

### setAntialiasedText

    public static void setAntialiasedText(java.awt.Graphics g,
                                          boolean antialiasedText)

### getStringWidth

    public static int getStringWidth(java.lang.String s,
                                     java.awt.FontMetrics fontMetrics,
                                     java.awt.Graphics g)

### setBilinearInterpolation

    public static void setBilinearInterpolation(java.awt.Graphics g,
                                                boolean bilinearInterpolation)

### setSystemLookAndFeel

    public static void setSystemLookAndFeel()

  Sets the Swing look and feel to the system look and feel.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD